defmodule DrainCloudCoreWeb.ErrorHandler do
  alias DrainCloudCoreWeb.Errors.InvalidArgumentException, as: InvalidArgumentException
  def handle_reason(reason = %InvalidArgumentException{}), do: Jason.encode!(reason)

  def handle_reason(reason) do
    :logger.error(inspect(reason))

    Jason.encode!(%{error: "Oops! Something went wrong!"})
  end
end
